#!/bin/bash
START_TIME=$SECONDS
THREADS=4
MYDIR="runs"


# Make a folder for the contents of the terminal logs
if [ ! -d logs ]; then
  mkdir logs
else
  rm logs/*.log
fi

#Reading folder names
DIRS=`ls -l $MYDIR | egrep '^d' | awk '{print $9}'`

prefix='fem'

COMMAND=""
for DIR in $DIRS
do

cd runs/$DIR/pushdown
PUS=`ls *.fem`
cd ../../..


for MIR in $PUS
do
MIR=${MIR%%.*}

COMMAND="${COMMAND}${DIR}${MIR}\0"
done

done


echo -e $COMMAND | xargs -0 -n 1 -P $THREADS ./inter_runner.sh analyze

echo "Copying relevant resultfiles to Elem_res folder"
#copy relevant result files to result folder 
for DIR in $DIRS
do
if [ ! -d Elem_res/${DIR} ]; then
  mkdir Elem_res/${DIR}
else
  rm -r Elem_res/${DIR}/*
fi

cp $MYDIR/$DIR/pushdown/elem* Elem_res/${DIR}
done
ELAPSED_TIME=$(($SECONDS - $START_TIME))
echo "$ELAPSED_TIME"
echo DONE!!
