%% Function that reads node and beam data for topside beams
% used in script: int_placement.m


function [nodearray, beamarray, beamvector] = nodes()
%% Input handling
fileid = 'helpsheet.xlsx';

%% Import node data from a spreadsheet
% All nodes with z-coordinate 12m(topside deck) are summoned
nodearray = xlsread(fileid, 'topsidenodes', '');

%% Import beam data from same spreadsheet
% All beam elements of the model are summoned
beamarray = xlsread(fileid, 'beamarray', '');

%% Import beam data from same spreadsheet
% Only topside beams with orientation east-west are listed in this vector
beamvector = xlsread(fileid, 'beamvector', '');
end
